summaryrefslogtreecommitdiffstats
path: root/package
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2015-12-19 11:28:42 +0000
committerFelix Fietkau <nbd@openwrt.org>2015-12-19 11:28:42 +0000
commit0936f5b0e0f30c8f07f78cb8e7f184f9d1bde86a (patch)
tree6e91ce244180999c3a4f581388131ebcbec39a3d /package
parentc74a6906616918ee9effc5e19019896e567dc9e6 (diff)
downloadmaster-31e0f0ae-0936f5b0e0f30c8f07f78cb8e7f184f9d1bde86a.tar.gz
master-31e0f0ae-0936f5b0e0f30c8f07f78cb8e7f184f9d1bde86a.tar.bz2
master-31e0f0ae-0936f5b0e0f30c8f07f78cb8e7f184f9d1bde86a.zip
base-files: cleanup mtd_get_mac_binary hexdump
Remove usage of dd, as per request from Yousong Zhou. <https://lists.openwrt.org/pipermail/openwrt-devel/2015-December/037743.html> Signed-off-by: Chris R Blake <chrisrblake93@gmail.com> SVN-Revision: 47949
Diffstat (limited to 'package')
-rw-r--r--package/base-files/files/lib/functions/system.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/base-files/files/lib/functions/system.sh b/package/base-files/files/lib/functions/system.sh
index 03d71277b0..35f6d10fdb 100644
--- a/package/base-files/files/lib/functions/system.sh
+++ b/package/base-files/files/lib/functions/system.sh
@@ -38,7 +38,7 @@ mtd_get_mac_binary() {
return
fi
- dd bs=1 skip=$offset count=6 if=$part 2>/dev/null | hexdump -v -n 6 -e '5/1 "%02x:" 1/1 "%02x"'
+ hexdump -v -n 6 -s $offset -e '5/1 "%02x:" 1/1 "%02x"' $part 2>/dev/null
}
mtd_get_mac_binary_ubi() {